## defrag 0.73-1

=== Makefile ===
--- 
+++ 
@@ -1,32 +1,35 @@
 # Makefile for defrag, the Linux filesystem defragmenter
 #
-# Copyright (C) 1992, 1993, 1994 Stephen Tweedie (sct@dcs.ed.ac.uk)
+# Copyright (C) 1992, 1993, 1994, 1997 Stephen Tweedie (sct@dcs.ed.ac.uk)
 # This file may be distributed under the terms of the GNU
 # General Public License. 
 #
 # Note - you need GNU make version 3.70 or later to run this makefile.
 
-VERSION = 0.61
+VERSION = 0.73
 
-BINDIR = /sbin
-MANDIR = /usr/man
+BINDIR = $(DESTDIR)/sbin
+MANDIR = $(DESTDIR)/usr/man
 
-CC = gcc
+CC = gcc -pipe
 RANLIB = ranlib
-ETAGS = /usr/emacs/etc/etags -T
+ETAGS = etags -T
 
-# For 486-specific optimisations:
-#CC = gcc -m486
+# CPU-type definition
+#CPU = -m486
 
-#For the brave...
-#CFLAGS = -N -O6 -fomit-frame-pointer -Wall -mpentium -DNODEBUG
-#LDFLAGS = -N -s
+# Optimization
+#OPTI = -O3
+
+# Define this only if your libc already defines llseek.  Modern libcs
+# should do so.  
+DFLAGS = -DHAVE_LLSEEK
 
 ifdef DEBUG
-CFLAGS = -Wall -g
+CFLAGS = -Wall -g $(CPU) $(OPTI) $(DFLAGS)
 LDFLAGS = -g
 else
-CFLAGS = -Wall -O2 -fomit-frame-pointer
+CFLAGS = -Wall -fomit-frame-pointer $(CPU) $(OPTI) $(DFLAGS)
 LDFLAGS = -s
 endif
 LIBS= -lncurses
@@ -36,7 +39,7 @@
 
 PROGS = e2defrag defrag edefrag xdefrag e2dump xdump frag
 MAN = defrag.8 frag.8
-OBJS = defrag.o buffers.o display.o misc.o
+OBJS = defrag.o buffers.o display.o misc.o llseek.o
 
 all:	$(PROGS)
 
@@ -48,6 +51,8 @@
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 xdefrag:	libxia.a
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+e2defrag.static:	display-plain.o libext2.a
+	$(CC) -static $(LDFLAGS) -o $@ $^ $(LIBS)
 
 e2dump:		e2dump.ext2.o libext2.a
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
@@ -83,20 +88,28 @@
 	install $(PROGS) $(BINDIR)
 	install -m644 $(MAN) $(MANDIR)/man8
 
-	
+
 clean:
 	rm -f $(PROGS) *.o *.a core .depend version.h
 
 spotless: clean
 	rm -f a.out *.i *.s *~ .depend TAGS
-	
+
 tags:
 	$(ETAGS) *.[ch] README CHANGES INSTALL
 
 distribution: spotless
 	(cd ..; \
-	 (echo RCS | \
-	 tar -cvzf defrag-$(VERSION).tar.gz -X - defrag-$(VERSION)))
+	 (echo RCS CVS | \
+	 tar -cvzf defrag-$(VERSION).tar.gz -X - defrag-$(VERSION)/*))
+
+.PHONY: changes changelog ChangeLog
+changelog: ChangeLog
+changes: ChangeLog
+ChangeLog:
+	rcs2log -u "sct:Stephen C. Tweedie:sct@dcs.ed.ac.uk" > ChangeLog.new
+	cat ChangeLog >> ChangeLog.new
+	mv ChangeLog.new ChangeLog
 
 PHONY: dep depend
 dep depend .depend: version.h
