=== debian/changelog ===
defrag (0.73-1) frozen unstable; urgency=low

  * Fix for bug 17136 didn't work.  Proper solution is include
    <sys/param.h> in defrag.h
  * Fixed problem with llseek, didn't call built in wrapper
    function.  (Fixes: Bug#19998)
  * New upstream release.

 -- Adam Heath <adam.heath@usa.net>  Sun, 22 Mar 1998 05:06:43 -0500

defrag (0.70-6) unstable; urgency=low

  * Switched to debhelper.

 -- Adam Heath <adam.heath@usa.net>  Sat, 14 Mar 1998 20:35:28 -0500

defrag (0.70-5) unstable; urgency=low

  * Fix Lintian errors.

 -- Adam Heath <adam.heath@usa.net>  Sun,  8 Mar 1998 23:37:12 -0500

defrag (0.70-4) unstable; urgency=low

  * LLSEEK not declared in libc6 headers.  Added to defrag.h
      to fix 17135.
  * Borrowed macros from selectbits.h to allow compilation on
      non-ix86 machines.  Fixes bug 17136.

 -- Adam Heath <adam.heath@usa.net>  Fri, 16 Jan 1998 01:49:29 -0500

defrag (0.70-3) unstable; urgency=low

  * debstd solves #15445
  * Bug#15522 supposedly fixed in -1

 -- Adam Heath <adam.heath@usa.net>  Wed, 31 Dec 1997 00:35:12 -0500

defrag (0.70-2) unstable; urgency=low

  * Build with hamm.
  * debstd solves #9665

 -- Christoph Lameter <clameter@waterf.org>  Thu,  4 Sep 1997 15:47:03 -0700

defrag (0.70-1) unstable stable; urgency=low

  * Added a few comments to README.debian re frequent gotcha's with
    defrag.
  * Fixes for >2G partitions.
  * New upstream release

 -- Christoph Lameter <clameter@waterf.org>  Tue, 19 Aug 1997 15:33:21 -0700

defrag (0.61-1) unstable; urgency=low

  * Upstream update. defrag can now actually be build on a current Linux
    system!

 -- Christoph Lameter <clameter@waterf.org>  Mon, 10 Feb 1997 19:34:17 -0800

defrag (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@waterf.org>  Tue, 5 Nov 1996 20:09:21 -0800

Local variables:
mode: debian-changelog
End:
