=== debian/control ===
Source: defrag
Section: admin
Priority: extra
Maintainer: Adam Heath <adam.heath@usa.net>
Standards-Version: 2.1.2.2

Package: defrag
Architecture: i386
Depends: ${shlibs:Depends}
Description: ext2 minix xiafs file system defragmenter
 As a file system is used, data tends to become more and more scattered
 over the disk, degrading performance.  A disk defragmenter simply
 reorganises the data on the disk, so that individual files occupy a
 single sequential set of disk blocks, and all the free space on the
 disk is collected together in a single region.  This generally means
 that reading a whole file is more efficient.
