=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=defrag

build:
	dh_testdir
	make

	touch build

clean:
	dh_testdir
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	dh_testdir
	dh_testroot
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd debian/tmp/usr/man/man8;for i in e2 e x; do ln -s defrag.8 $${i}defrag.8; done
	make install DESTDIR=`pwd`/debian/tmp;
	dh_installdocs README* BUGS *lsm
	dh_installmanpages
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean checkroot
